Bug 468964 - scim-python-pinyin db file too big!
scim-python-pinyin db file too big!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scim-python (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 04:04 EDT by Jens Petersen
Modified: 2009-10-09 22:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 22:54:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-10-29 04:04:31 EDT
Description of problem:
The py.db file in scim-python-pinyin is 120MB it seems very big: eg scim-pinyin 

Steps to Reproduce:
1. du -sh /usr/share/scim-python/engine/PinYin
2. du -sh /usr/share/scim/pinyin
  
Actual results:
1. 121M
2. 4.5M

Expected results:
1. similar to scim-pinyin

Additional info:
This means we can't currently use scim-python-pinyin as default IM on Live images.
Comment 1 Peng Huang 2008-11-11 03:19:50 EST
Python pinyin has 837442 phrases in database. scim-pinyin only has 160000 phrases. It is the main reason of this problem. And python pinyin use sqlite as data engine. sqlite uses many space for creating index. It is very useful for performance.
So this problem can not be fixed easily. :(

BTW, I created a squashfs contain the py.db. Its size is 39M.
Comment 2 Bug Zapper 2008-11-25 23:24:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Peng Huang 2009-10-09 22:54:12 EDT
scim-python-pinyin is obsoleted now. We move to ibus-pinyin. So make it wontfix.

Note You need to log in before you can comment on or make changes to this bug.